# frozen_string_literal: true

module Gitlab
  class Experiment
    class Engine < ::Rails::Engine
      def self.include_dsl
        if defined?(ActionController)
          ActionController::Base.include(Dsl)
          ActionController::Base.helper_method(:experiment)
        end

        return unless defined?(ActionMailer)

        ActionMailer::Base.include(Dsl)
        ActionMailer::Base.helper_method(:experiment)
      end

      config.after_initialize { include_dsl }
    end
  end
end
